gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [gnunet] 02/08: add pin zone, remove obsolete script


From: gnunet
Subject: [GNUnet-SVN] [gnunet] 02/08: add pin zone, remove obsolete script
Date: Sat, 03 Mar 2018 22:42:47 +0100

This is an automated email from the git hooks/post-receive script.

grothoff pushed a commit to branch master
in repository gnunet.

commit c36f464031c4bebf11ce109cf6edbada584981d3
Author: Christian Grothoff <address@hidden>
AuthorDate: Sat Mar 3 18:32:04 2018 +0100

    add pin zone, remove obsolete script
---
 contrib/Makefile.am          |  4 --
 contrib/gnunet-gns-import.sh | 92 --------------------------------------------
 src/gns/gns.conf.in          |  3 ++
 src/gns/gnunet-service-gns.c |  3 +-
 4 files changed, 5 insertions(+), 97 deletions(-)

diff --git a/contrib/Makefile.am b/contrib/Makefile.am
index ac8b15188..577924fab 100644
--- a/contrib/Makefile.am
+++ b/contrib/Makefile.am
@@ -22,9 +22,6 @@ noinst_SCRIPTS = \
  gnunet_pyexpect.py \
  gnunet_janitor.py
 
-bin_SCRIPTS = \
- gnunet-gns-import.sh
-
 dist_pkgdata_DATA = \
  gns-bcd.html \
  gns-bcd.tex \
@@ -136,4 +133,3 @@ dist-hook:
            fi \
          done \
        fi
-
diff --git a/contrib/gnunet-gns-import.sh b/contrib/gnunet-gns-import.sh
deleted file mode 100755
index 7b46379d6..000000000
--- a/contrib/gnunet-gns-import.sh
+++ /dev/null
@@ -1,92 +0,0 @@
-#!/bin/sh
-# This shell-script will import some GNS authorities into your GNS
-# namestore.
-
-LOCATION=$(which gnunet-config)
-if [ -z $LOCATION ]
-then
-  LOCATION="gnunet-config"
-fi
-$LOCATION --version 1> /dev/null
-if test $? != 0
-then
-       echo "GNUnet command line tools not found, check environmental 
variables PATH and GNUNET_PREFIX"
-       exit 1
-fi
-
-gnunet-arm -I 1> /dev/null 2>/dev/null
-if [ ! $? -eq 0 ]
-then
-       echo "GNUnet is not running, please start GNUnet before running import"
-       exit 1
-fi
-
-options=''
-
-while getopts "c:" opt; do
-  case $opt in
-    c)
-      options="$options -c $OPTARG"
-      ;;
-    \?)
-      echo "Invalid option: -$OPTARG" >&2
-      exit 1
-      ;;
-    :)
-      echo "Option -$OPTARG requires an argument." >&2
-      exit 1
-      ;;
-  esac
-done
-
-# By default, we create two GNS zones:
-gnunet-identity -C master-zone $options
-gnunet-identity -C private-zone $options
-
-# Additionally, we create the FS SKS zone
-gnunet-identity -C sks-zone $options
-
-#### Integrate those with the respective subsystems ####
-
-# Default zone for 'gnunet-gns' lookups
-gnunet-identity -e master-zone -s gns-master $options
-
-# Default zone for 'gnunet-namestore' operations
-gnunet-identity -e master-zone -s namestore $options
-
-# Use master-zone for GNS proxy lookups
-gnunet-identity -e master-zone -s gns-proxy $options
-
-# Use master-zone for intercepted DNS queries
-# (remove this entry to disable DNS interception by GNS service)
-gnunet-identity -e master-zone -s gns-intercept $options
-
-# Use master-zone for DNS2GNS proxy.
-gnunet-identity -e master-zone -s dns2gns $options
-
-# 'gns-private' is not yet used (!)
-gnunet-identity -e private-zone -s gns-private $options
-
-# 'fs-sks' default ego for gnunet-fs-gtk namespace operations
-gnunet-identity -e sks-zone -s fs-sks $options
-
-# Get the public keys as strings (so we can create PKEY records)
-MASTER=`gnunet-identity -d $options | grep master-zone | awk '{print $3}'`
-PRIVATE=`gnunet-identity -d $options | grep private-zone | awk '{print $3}'`
-PIN=DWJASSPE33MRN8T6Q0PENRNBTQY0E6ZYGTRCDP5DGPBF2CRJMJEG
-
-# Link private zone into master zone
-if (gnunet-namestore -z master-zone -D -n private -t PKEY | grep "PKEY: 
$PRIVATE" 1>/dev/null)
-then
-  echo "Private zone link exists, skipping"
-else
-  gnunet-namestore -z master-zone -a -e never -n private -p -t PKEY -V 
$PRIVATE $options
-fi
-
-# Link GNUnet's FCFS zone into master zone under label "pin"
-if (gnunet-namestore -z master-zone -D -n pin -t PKEY | grep "PKEY: $PIN" 
1>/dev/null)
-then
-  echo "Pin zone link exists, skipping"
-else
-  gnunet-namestore -z master-zone -a -e never -n pin -p -t PKEY -V $PIN 
$options
-fi
diff --git a/src/gns/gns.conf.in b/src/gns/gns.conf.in
index b34246cef..b85b1e04c 100644
--- a/src/gns/gns.conf.in
+++ b/src/gns/gns.conf.in
@@ -21,6 +21,9 @@ MAX_PARALLEL_BACKGROUND_QUERIES = 1000
 
 # PREFIX = valgrind --leak-check=full --track-origins=yes
 
+# Zones
+.pin = DWJASSPE33MRN8T6Q0PENRNBTQY0E6ZYGTRCDP5DGPBF2CRJMJEG
+
 
 [gns-proxy]
 BINARY = gnunet-gns-proxy
diff --git a/src/gns/gnunet-service-gns.c b/src/gns/gnunet-service-gns.c
index e13beb889..69f1ca640 100644
--- a/src/gns/gnunet-service-gns.c
+++ b/src/gns/gnunet-service-gns.c
@@ -223,6 +223,7 @@ static void
 shutdown_task (void *cls)
 {
   struct GNS_TopLevelDomain *tld;
+
   GNUNET_log (GNUNET_ERROR_TYPE_DEBUG,
               "Shutting down!\n");
   GNS_interceptor_done ();
@@ -536,7 +537,7 @@ read_service_conf (void *cls,
     return;
   }
   tld = GNUNET_new (struct GNS_TopLevelDomain);
-  tld->tld = GNUNET_strdup (option);
+  tld->tld = GNUNET_strdup (&option[1]);
   tld->pkey = pk;
   GNUNET_CONTAINER_DLL_insert (tld_head,
                                tld_tail,

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]